// *********************************************
// deutsche Konfigurationsdatei fuer Edelsteine
// *********************************************
/****************************************************************************************
    Copyright 2004 uja
    Copyright 2004 Trolltech (Qt3)

    This file is part of Edelsteine.
    
    Edelsteine is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.
	    
    Edelsteine is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.
	    
    You should have received a copy of the GNU General Public License
    along with Edelsteine; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*****************************************************************************************/

// Konstanten fuer main:
#define PROGICON  "./images/stein_0001.png"

#define MENU10    "Game                       "
#define MENU11    "&new game"
#define KUERZEL11 "CTRL+N"
#define MENU12    "&Pause"
#define KUERZEL12 "CTRL+P"
#define MENU13    "&weiter"
#define KUERZEL13 "CTRL+W"
#define MENU14    "&view highscore"
#define KUERZEL14 "CTRL+V"
#define MENU15    "&Quit"
#define KUERZEL15 "CTRL+Q"
#define MENU20    "Info"
#define MENU21    "&Help"
#define KUERZEL21 "CTRL+H"
#define MENU22    "&Info"
#define KUERZEL22 "CTRL+I"
#define MENU23    "&GPL-License"
#define KUERZEL23 "CTRL+G"
#define LOEHSC    "reset highscore list"
#define SCHLIESSEN "close"                 // allgemeine Buttonaufschrift

// Konstanten fuer Window und Hiscore
#define WIN_BMAX 640
#define WIN_HMAX 480
#define WIN_BMIN 480
#define WIN_HMIN 400
#define BACKGR0   "#003355"                     // Aussenfenster Hintergrund
#define COLOR0    "#cccc99"                     // Aussenfenster Textfarbe
#define BACKGR1   "#001122"                     // Spielfeld Hintergrund
#define COLOR1    "#ccddee"                     // Spielfeld Textfarbe
#define BACKGR2   "#ccbb99"                     // Anzeigen Hinterfrund
#define BACKBILD2 "./images/birke.png"
#define COLOR2    "#000033"                     // Anzeigen Textfarbe 

// window:
#define TITEL     "Stones 1.01"             // Programmtitel
#define TITELBILD "./images/ueberschrift.png"   // Titel-Schmuckbild
#define ANZEIGE0  "<b>Level:</b>"
#define ANZEIGE1  "<b>Score:</b>"
#define ANZEIGE2  "<b>Time:</b>"
#define ANZEIGE3  ""                            // leer:keine Anzeige
#define TIMEDOT_ON  "./images/timedot_on.png"
#define TIMEDOT_OFF "./images/timedot_off.png"


// Hiscore:
#define HSCTITEL   "Stones - Highscore"
#define HSCBREITE  480
#define HSCTITELFI "<h2><i>Stones - Highscore</i></h2>"
#define MAXEINTRAG 20
#define HSCFILE    "./texte/hiscore.csv"    
#define TIMEFORM   "dd.MM.yyyy hh:mm:ss"           // Zeitformat
#define HSCGRENZE  5                               // Medaillengrenze 
#define PAPERBILD  "./images/reispapier_weiss.png" // Hiscore-Hintergrund
#define PAPCOLOR0  "#ddcc99"                       // Rahmenfarbe
#define HICOLOR    "#990011"                       // Hiscore-Top-Farbe
#define LOCOLOR    "#003355"                       // Hiscore-Textfarbe
#define HSCMESS0   "Congratulations! Your score is "              // Eintragstexte
#define HSCMESS1   ", and you apply for Number  "
#define HSCMESS2   "in the highscore list!\nJust put in your name:"
#define HSCPOTT    "./images/pott.png"
#define CONFRESET  "Are you sure you want to clear the highscore list?"
#define YES        "Of course I'm sure!"
#define NO         "No, please don't kill my scores!"

// Konstanten fuer Textviewer
#define HELPFILE   "./texte/hilfe.rtf"
#define INFOFILE   "./texte/info.rtf"
#define GPLFILE   "./texte/gpl.rtf"
#define INFOTITEL  "Stones - Info"
#define HELPTITEL  "Stones - Help"
#define LIZENZTITEL "GPL"
#define HELPBREITE 400
#define INFOBREITE 284

// Konstanten fuer Spiel - bei Anpassen auch WIN_* korrigieren:
#define NUMSPRITES 21
#define SPRITEFILES  "./images/stein_%1.png"
#define GAMEOVERFILE "./images/gover.png"
#define PAUSEFILE    "./images/pause.png"
#define DX 32
#define DY 32
#define OFX 16
#define OFY 16
#define XMAX 8
#define YMAX 8
#define SMAX 64
#define CMAX 10
#define ZEIT0 10

// ------------------------------------------------------------------------------------
