/****************************************************************************************
    Copyright 2004 uja
    Copyright 2004 Trolltech (Qt3)

    This file is part of Edelsteine.
    
    Edelsteine is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.
	    
    Edelsteine is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.
	    
    You should have received a copy of the GNU General Public License
    along with Edelsteine; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*****************************************************************************************/

// Headerfile fuer Objekt hiscore: hiscore.h
// erstellt ein Grid-Fenster fuer die Bestenliste
// ----------------------------------------------------------------------------------------------

#ifndef HISCORE_H
#define HISCORE_H

#include "config.h"

#include <qvbox.h>
#include <qlabel.h> 
#include <qfile.h>
#include <qstring.h>
#include <qpushbutton.h>
#include <qinputdialog.h>
#include <qpixmap.h>
#include <qtextedit.h>
#include <qdatetime.h>
#include <qbrush.h>
#include <qimage.h>
#include <qinputdialog.h>
#include <qmessagebox.h>
#include <qimage.h>
#include <qtimer.h>
// ein bisschen globales Zeug:

class hscrec
{ 
  public:
  int punkte;
  QString zeit;
  QString name;
  void setValues(int,QString,QString);

} ;


class hiscore: public QVBox
{
  Q_OBJECT
  
  public:
  hiscore(QWidget* parent=0, char* name="bestenliste");

  private:
  QTextEdit* my_text;
  QString get_feld(QString,bool,bool);
  void dateieinlesen(hscrec[]);
  void datenschreiben(hscrec[]);
  bool get_lock();
  void free_lock();

  public slots:
  void show_hsc();
  void hide_hsc();
  void save_hsc(int);    
  void reset_hsc();
  void eintragen(int,QString,QString);
};

#endif 
