/****************************************************************************************
    Copyright 2004 uja
    Copyright 2004 Trolltech (Qt3)

    This file is part of Edelsteine.
    
    Edelsteine is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.
	    
    Edelsteine is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.
	    
    You should have received a copy of the GNU General Public License
    along with Edelsteine; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*****************************************************************************************/

// Headerfile fuer Objekt textviewer: textviewer.h
// erstellt ein zweigeteiltes Fenster, links Grafikausgabe, rechts Eingabeparameter und Anzeigen
// Klamotten wie Help, Neu  Load und Save werden von QApplication in main.cpp erledigt
// ----------------------------------------------------------------------------------------------

#ifndef TEXTVIEWER_H
#define TEXTVIEWER_H

#include "config.h"

#include <qfile.h>
#include <qtextedit.h>    // Infofenster
#include <qvbox.h>
#include <qgrid.h>
#include <qpushbutton.h>  // Schliessen-Knopf 
#include <qlabel.h>
#include <qstring.h>
#include <qpixmap.h>

class textviewer: public QVBox
{ 
  Q_OBJECT

  public: 
  textviewer(QWidget* parent=0, char* name="TextViewer");
  QTextEdit* my_text;
  
  public slots:
  void show_info(int flag=0);
  void hide_info();
  
};

#endif 
